Bug 10195 - xinitrc has a syntax error
Summary: xinitrc has a syntax error
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: xinitrc   
(Show other bugs)
Version: 6.2
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Preston Brown
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-03-15 23:20 UTC by Nick Urbanik
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-03-16 03:42:28 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Nick Urbanik 2000-03-15 23:20:10 UTC
When starting X, an error message appears: a syntax error in
/etc/X11/xinit/xinitrc.  The patch below fixes this.

-----------patch below---------
--- /etc/X11/xinit/xinitrc~     Wed Mar  1 12:46:46 2000
+++ /etc/X11/xinit/xinitrc      Wed Mar  1 12:55:41 2000
@@ -37,7 +37,7 @@
     XKB_IN_USE=yes
 fi

-if [ -z $XKB_IN_USER -a ! -L /etc/X11/X ]; then
+if [ -z "$XKB_IN_USER" -a ! -L /etc/X11/X ]; then
     if grep '^exec.*/Xsun' /etc/X11/X > /dev/null 2>&1 && [ -f
/etc/X11/XF86Con
fig ]; then
        xkbsymbols=`sed -n -e 's/^[     ]*XkbSymbols[
]*"\(.*\)".*$/\1/p'`
        if [ -n "$xkbsymbols" ]; then
-----------patch above---------

Comment 1 Bill Nottingham 2000-03-16 03:42:59 UTC
This is fixed in later packages.


Note You need to log in before you can comment on or make changes to this bug.